Bug 75980 - Instable kernel 2.4.18-10smp
Instable kernel 2.4.18-10smp
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-15 10:59 EDT by Christian Drexler
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Drexler 2002-10-15 10:59:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
after upgrading our HPx4000 workstation (2 x Xeon 2GHz, 4GB Memory) to 
2.4.18-10smp as advised by RHSA-2002:158 the machine ran for approx.
10 minutes and then crashed.
Here's what syslog could tell me:
Oct  7 11:11:51 elay15 kernel: Warning - running *really* short on DMA buffers
Oct  7 11:11:56 elay15 kernel: Warning - running *really* short on DMA buffers
Oct  7 11:11:56 elay15 kernel: Warning - running low on DMA memory
Oct  7 11:11:56 elay15 kernel: dma_free_sectors:40
Oct  7 11:11:56 elay15 kernel: use_sg:127^Ii:0
Oct  7 11:11:56 elay15 kernel: request_bufflen:0
Oct  7 11:11:56 elay15 kernel: Unable to handle kernel NULL pointer dereference
at virtual address 00000000
Oct  7 11:11:56 elay15 kernel:  printing eip:
Oct  7 11:11:56 elay15 kernel: f8815dfe
Oct  7 11:11:56 elay15 kernel: *pde = 00000000
Oct  7 11:11:56 elay15 kernel: Oops: 0000
Oct  7 11:11:56 elay15 kernel: ide-cd cdrom i810_audio ac97_codec soundcore nfs
mga agpgart autofs4 nfsd lock
Oct  7 11:11:56 elay15 kernel: CPU:    1
Oct  7 11:11:56 elay15 kernel: EIP:    0010:[<f8815dfe>]    Not tainted
Oct  7 11:11:56 elay15 kernel: EFLAGS: 00210246
Oct  7 11:11:57 elay15 kernel:
Oct  7 11:11:57 elay15 kernel: EIP is at dma_exhausted [scsi_mod] 0x7e
(2.4.18-10smp)
Oct  7 11:11:57 elay15 kernel: eax: 00000000   ebx: 00000000   ecx: 00000001  
edx: f56dc000
Oct  7 11:11:57 elay15 kernel: esi: 00000000   edi: 00000000   ebp: f71a8e00  
esp: f60abda0
Oct  7 11:11:57 elay15 kernel: ds: 0018   es: 0018   ss: 0018
Oct  7 11:11:57 elay15 kernel: Process kjournald (pid: 197, stackpage=f60ab000)
Oct  7 11:11:57 elay15 kernel: Stack: 00000000 00000000 00000000 ef030b60
00001000 f88203e0 00000000 f8816d15
Oct  7 11:11:57 elay15 kernel:        f71a8e00 00000000 00000008 f71a8eb8
f880d7e9 f71a9400 00200293 f7fc4e18
Oct  7 11:11:57 elay15 kernel:        f71cb620 f71a8e00 f882d200 f71cb620
f71cb620 f8815b90 f71a8e00 f882d200
Oct  7 11:11:57 elay15 kernel: Call Trace: [<f88203e0>] .rodata.str1.32
[scsi_mod] 0x6c40
Oct  7 11:11:57 elay15 kernel: [<f8816d15>] scsi_init_io_v [scsi_mod] 0x215
Oct  7 11:11:57 elay15 kernel: [<f880d7e9>] scsi_dispatch_cmd [scsi_mod] 0x289
Oct  7 11:11:57 elay15 kernel: [<f882d200>] sd_template [sd_mod] 0x0
Oct  7 11:11:57 elay15 kernel: [<f8815b90>] scsi_request_fn [scsi_mod] 0x240
Oct  7 11:11:57 elay15 kernel: [<f882d200>] sd_template [sd_mod] 0x0
Oct  7 11:11:57 elay15 kernel: [<c019567b>] generic_unplug_device [kernel] 0x2b
Oct  7 11:11:57 elay15 kernel: [<c01213ce>] __run_task_queue [kernel] 0x5e
Oct  7 11:11:57 elay15 kernel: [<c0142f36>] __wait_on_buffer [kernel] 0x66
Oct  7 11:11:57 elay15 kernel: [<f884d99d>] journal_brelse_array [jbd] 0x1d
Oct  7 11:11:57 elay15 kernel: [<f884cad8>] journal_commit_transaction [jbd]
0x488
Oct  7 11:11:57 elay15 kernel: [<f884f846>] kjournald [jbd] 0x136
Oct  7 11:11:57 elay15 kernel: [<f884f6f0>] commit_timeout [jbd] 0x0
Oct  7 11:11:57 elay15 kernel: [<c0107286>] kernel_thread [kernel] 0x26
Oct  7 11:11:57 elay15 kernel: [<f884f710>] kjournald [jbd] 0x0
Oct  7 11:11:57 elay15 kernel:
Oct  7 11:11:57 elay15 kernel:
Oct  7 11:11:57 elay15 kernel: Code: 8b 14 18 52 8b 4c 18 10 51 57 68 40 03 82
f8 e8 fe 69 90 c7
Oct  7 11:38:21 elay15 syslogd 1.4.1: restart.
Oct  7 11:38:21 elay15 syslog: syslogd startup succeeded
Oct  7 11:38:21 elay15 syslog: klogd startup succeeded
Oct  7 11:38:21 elay15 kernel: klogd 1.4.1, log source = /proc/kmsg started.
Oct  7 11:38:21 elay15 kernel: Linux version 2.4.18-3smp
(bhcompile@daffy.perf.redhat.com) (gcc version 2.96 20000731 (Red Hat Linux 7.3
2.96-110)) #1 SMP Thu Apr 18 07:27:31 EDT 2002


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. rebooted to the 2.4.18-10smp kernel again, this time the machine crashed
after apprx. one huor woithout writing to syslog
2.
3.
	

Actual Results:  machine crashed again	

Expected Results:  maybe it should have continued to run?

Additional info:
Comment 1 John McMonagle 2002-10-28 15:12:18 EST
Have very simular problem.

Have dell 2650 with dial xeon processors.

I locks up after a couple hours with  paractally no load.
No logins just some server processed that have no usage.

The same happens with 2.4.18-17.7.x.

2.4.18-5 works OK other than some problems with ABI which is  fixed in the later
kernals.

John
Comment 2 Bugzilla owner 2004-09-30 11:40:04 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.